/**
 * Created by Administrator on 2017/1/21.
 */
const fs = require('fs'),
  path = require("path");

const save = (file, json) => {
  mkdirs(path.dirname(file));
  return new Promise((resolve, reject) => {
    fs.writeFile(file, JSON.stringify(json), function (err) {
      if (err) {
        reject('save err-' + file + '\nerr:' + err);
        return;
      }
      console.log('save succuss:' + file)
      resolve(json);
    });
  });
};

const mkdirs = function (dirname) {
  if (!fs.existsSync(dirname)) {
    if (mkdirs(path.dirname(dirname))) {
      fs.mkdirSync(dirname);
      return true;
    }
  } else {
    return true;
  }
};


const fileInfo = filePath => {
  return new Promise((resolve, reject) => {
    fs.stat(filePath, function (err, stats) {
      if (err) {
        reject(err);
        return;
      }
      resolve({
        isFile: true,
        isDirectory: stats.isDirectory(),
        extname: path.extname(filePath)
      });
    });
  });
};

const deleteall = (path) => {
  let files = [];
  if (fs.existsSync(path)) {
    files = fs.readdirSync(path);
    files.forEach((file, index)=> {
      let curPath = path + "/" + file;
      if (fs.statSync(curPath).isDirectory()) { // recurse
        deleteall(curPath);
      } else { // delete file
        fs.unlinkSync(curPath);
      }
    });
    fs.rmdirSync(path);
  }
};

module.exports = {save, mkdirs, fileInfo, deleteall};
