/**
 * Created by Administrator on 2017/1/21.
 */
var config = require('../../config'),
  fs = require('fs'),
  androidPath = config.oemParms[config.type].androidPath;

exports.select = (datas, selectMes) => {
  if (selectMes[0] == '*')return {'data': datas};
  var arr = [];
  selectMes.map((v) => {
    datas.map((i) => {
      if (i.oem == v) {
        // i.versionCode=config.androidVersionCode;
        // i.versionName=config.androidVersionName;
        arr.push(i)
      }
    })
  });
  return {'data': arr};
}

/**
 * 首字母大写
 * @param str
 * @returns {string}
 */
exports.toUpperFirst = (str) => { // 正则法
  str = str.toLowerCase();
  var reg = /\b(\w)|\s(\w)/g; //  \b判断边界\s判断空格
  // var reg = /\s(\w)/g;
  return str.replace(reg, function (m) {
    return m.toUpperCase()
  });
}

exports.ext = (name) => {
  var val = '';
  var arr = /\.[^\.]+$/.exec(name);
  if (arr && arr.length > 0) val = arr[0];
  return val;
}

exports.getFileName = (fullName) => {
  var pos = fullName.lastIndexOf("/");
  if (pos == -1) {
    pos = fullName.lastIndexOf("\\")
  }
  var filename = fullName.substr(pos + 1)
  return filename;
}

exports.getApkPaths = (oems) => {
  var arr = [],
    dirname = "";
  try {
    dirname = androidPath + config.androidApkPath;
    arr = fs.readdirSync(dirname);
  } catch (e) {

  }

  var infos = [];
  oems.map((oem) => {
    var reg = new RegExp('^' + oem + '.*\\.apk$');
    for (i = 0; i < arr.length; i++) {
      var bool = reg.test(arr[i]);
      if (bool) {
        infos.push(arr[i]);
        break;
      }
    }
  });
  return {dirname, apks: infos};
}