/**
 * Created by wali on 2018/6/14.
 */
const fir = require('../firs'),
  fs = require('fs'),
  files = require('../../libs/files');

let succInfo = {data: []};
let errInfo = {data: []};

fs.readFile('./packing.list', 'utf8', (err, data) => {
  if (err) throw err;
  let pInfos = JSON.parse(data).data;
  console.log(pInfos);
  uploadApks(pInfos)
});

const uploadApks = (infos = []) => {
  if (infos.length <= 0) {
    files.save("./upload_succ.list", succInfo);//TODO 文件目录设置
    files.save("./upload_err.list", errInfo);
    console.log("----上传结束----");
    console.log("----错误信息----")
    errInfo.data.map(d => {
      console.info(d);
    });
    console.log("--------------")

    return;
  }

  fir.upload(infos[0], "----").then(({isok, info}) => {
    if (isok) {
      succInfo.data.push(info);
    } else {
      errInfo.data.push(info);
    }
    infos.splice(0, 1)
    uploadApks(infos);
  });
};